<?php
/**
 * TGM Plugin Lists
 */

// Include the TGM_Plugin_Activation class.
require trailingslashit( get_template_directory() ) . 'inc/ext/tgmpa.php';

/**
 * Register required and recommended plugins.
 */
function restaurantpro_register_plugins() {

	$plugins = array(

		array(
			'name'     => 'TJ Extras',
			'slug'     => 'tj-extras',
			'source'   => trailingslashit( get_template_directory() ) . 'inc/plugins/tj-extras.zip',
			'required' => true,
		),

		array(
			'name'     => 'Advanced Custom Fields Pro',
			'slug'     => 'advanced-custom-fields-pro',
			'source'   => trailingslashit( get_template_directory() ) . 'inc/plugins/advanced-custom-fields-pro.zip',
			'required' => false,
		),

		array(
			'name'     => 'MailOptin',
			'slug'     => 'mailoptin',
			'required' => false,
		),

		array(
			'name'     => 'Contact Form 7',
			'slug'     => 'contact-form-7',
			'required' => false,
		),

		array(
			'name'     => 'Elementor',
			'slug'     => 'elementor',
			'required' => true,
		),

		array(
			'name'     => 'One Click Demo Import',
			'slug'     => 'one-click-demo-import',
			'required' => false,
		),

		array(
			'name'     => 'MailChimp for WordPress',
			'slug'     => 'mailchimp-for-wp',
			'required' => false,
		),

		array(
			'name'     => 'WooCommerce',
			'slug'     => 'woocommerce',
			'required' => false,
		),

		array(
			'name'     => 'WPC Smart Compare for WooCommerce',
			'slug'     => 'woo-smart-compare',
			'required' => false,
		),

		array(
			'name'     => 'WPC Smart Quick View for WooCommerce',
			'slug'     => 'woo-smart-quick-view',
			'required' => false,
		),

		array(
			'name'     => 'YITH WooCommerce Wishlist',
			'slug'     => 'yith-woocommerce-wishlist',
			'required' => false,
		),

		array(
			'name'     => 'WC Custom Add to Cart labels',
			'slug'     => 'wc-custom-add-to-cart-labels',
			'required' => false,
		),

		array(
			'name'     => 'WP Mega Menu',
			'slug'     => 'wp-megamenu',
			'required' => false,
		),

		array(
			'name'     => 'The Events Calendar',
			'slug'     => 'the-events-calendar',
			'required' => false,
		),

		array(
			'name'     => 'Restaurant Reservations',
			'slug'     => 'restaurant-reservations',
			'required' => false,
		),

		array(
			'name'     => 'Opening Hours',
			'slug'     => 'wp-opening-hours',
			'required' => false,
		),

	);

	$config = array(
		'id'           => 'tgmpa',
		'default_path' => '',
		'menu'         => 'tgmpa-install-plugins',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);

	tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'restaurantpro_register_plugins' );
